/// <reference path="../jslibs/jquery.d.ts" />

import {xy} from './ModulB' // ModulB.ts enthält noch mal explizites Modul
import * as A from './ModulA'
import { cc } from "./ModulC";
declare const System: any;

export function main() {

 $("#C_Ausgabe").append(new Date() + "<hr>");
 var ma = new A.KlasseA();
 var a1 = "Modul A: " + ma.test();
 console.log(a1);
 $("#C_Ausgabe").append(a1 + "<br>");

 var mb = new xy.KlasseB();
 var a2 = "Modul B: " + mb.test();
 console.log(a2);
 $("#C_Ausgabe").append(a2 + "<br>");

 // Dynamisches laden, vgl. https://www.typescriptlang.org/docs/handbook/modules.html
 let needZipValidation: boolean = false;
 if (needZipValidation) {
  System.import("./ModulC").then((mc: typeof cc.KlasseC) => {
   var x = new cc.KlasseC();
   $("#C_Ausgabe").append(x.test() + "<br>");
  });
 }

}



main();



